# skipVerifyHost

Controls whether the module disables host name verification for HTTPS connections.

This parameter applies to omclickhouse: ClickHouse Output Module.

Name:

  skipVerifyHost

Scope:

  input

Type:

  boolean

Default:

  off

Required?:

  no

Introduced:

  not specified

## Description

If `"on"`, this will set the curl `CURLOPT_SSL_VERIFYHOST` option to `0`.

Warning

You are strongly discouraged to set this to `"on"`. It is primarily useful only for debugging or testing.

## Input usage

    module(load="omclickhouse")
    action(type="omclickhouse" skipVerifyHost="on")

## See also

See also omclickhouse: ClickHouse Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.